## org.eclipse.datatools.connectivity.oda.util.manifest
Class ManifestUtil

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.ManifestUtil

    public class ManifestUtil

extends java.lang.Object

Utility class for the ODA extension manifest.

Constructor Summary
`ManifestUtil()`

Method Summary
`static Property[]` `getHiddenPropertiesDefn(Property[] driverDefinedProps, java.util.Properties propertiesVisibility)` Returns a collection of property definition from the specified driverDefinedProps that are defined to be hidden.
`static org.eclipse.core.runtime.IConfigurationElement` `getNamedElement(org.eclipse.core.runtime.IExtension extension, java.lang.String elementName)` Returns the configuration element of the given extension and element name.
`static org.eclipse.core.runtime.IConfigurationElement` `getNamedElement(org.eclipse.core.runtime.IExtension extension, java.lang.String elementName, java.lang.String requiredAttributeName)` Returns the configuration element with the given name in the given extension.
`static org.eclipse.core.runtime.IConfigurationElement[]` `getNamedElements(org.eclipse.core.runtime.IExtension extension, java.lang.String elementName)` Returns a collection of configuration elements with the given name in the given extension.
`static org.eclipse.core.runtime.IConfigurationElement[]` `getNamedElements(org.eclipse.core.runtime.IExtension extension, java.lang.String elementName, java.lang.String requiredAttributeName)` Returns a collection of configuration elements with the given name in the given extension.
`static Property[]` `getVisiblePropertiesDefn(Property[] driverDefinedProps, java.util.Properties propertiesVisibility)` Returns a collection of property definition from the specified driverDefinedProps that are defined to be visible.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManifestUtil

    public ManifestUtil()

Method Detail

### getNamedElement

    public static org.eclipse.core.runtime.IConfigurationElement getNamedElement(org.eclipse.core.runtime.IExtension extension,
                                                                                 java.lang.String elementName)
                                                                          throws OdaException

  Returns the configuration element of the given extension and element name.
  For internal use only.

  Throws:
    `OdaException`

### getNamedElement

    public static org.eclipse.core.runtime.IConfigurationElement getNamedElement(org.eclipse.core.runtime.IExtension extension,
                                                                                 java.lang.String elementName,
                                                                                 java.lang.String requiredAttributeName)
                                                                          throws OdaException

  Returns the configuration element with the given name in the given extension. Validates that the element has the named attribute with a non-empty value.

  Returns:
    the first matching configuration element
    For internal use only.
  Throws:
    `OdaException`

### getNamedElements

    public static org.eclipse.core.runtime.IConfigurationElement[] getNamedElements(org.eclipse.core.runtime.IExtension extension,
                                                                                    java.lang.String elementName)
                                                                             throws OdaException

  Returns a collection of configuration elements with the given name in the given extension.

  Returns:
    a collection of matching configuration elements
    For internal use only.
  Throws:
    `OdaException`

### getNamedElements

    public static org.eclipse.core.runtime.IConfigurationElement[] getNamedElements(org.eclipse.core.runtime.IExtension extension,
                                                                                    java.lang.String elementName,
                                                                                    java.lang.String requiredAttributeName)
                                                                             throws OdaException

  Returns a collection of configuration elements with the given name in the given extension. Validates that each element has the specified attribute defined.

  Returns:
    a collection of matching configuration elements
    For internal use only.
  Throws:
    `OdaException`

### getVisiblePropertiesDefn

    public static Property[] getVisiblePropertiesDefn(Property[] driverDefinedProps,
                                                      java.util.Properties propertiesVisibility)

  Returns a collection of property definition from the specified driverDefinedProps that are defined to be visible.
  For internal use only.

### getHiddenPropertiesDefn

    public static Property[] getHiddenPropertiesDefn(Property[] driverDefinedProps,
                                                     java.util.Properties propertiesVisibility)

  Returns a collection of property definition from the specified driverDefinedProps that are defined to be hidden.
  For internal use only.